#!/usr/bin/gnuplot

# from eaa_bessel.pdf, with a correction of K band
# Table 1. Johnson–Cousins–Glass UBVRIJHKLM system.
#                                    U    B    V    R    I    J    H    K    L    M
# λeff (nm)                        367  436  545  638  797 1220 1630 2190 3450 4750
# λ (nm)                            66   94   85  160  149  213  307  390  472  460
# Fν (V = 0) (10−30 W cm−2 Hz−1 ) 1790 4063 3636 3064 2416 1589 1020  640  285  154

c = 299792458.  # m s^-1

F(F_nu, lambda_eff) = F_nu*1.e-30*1.e4 * c/(lambda_eff*1.e-9)**2 * 1.e7 / 1.e2**3

lambda_U = 367
lambda_B = 436
lambda_V = 545
lambda_R = 638
lambda_I = 797
lambda_J = 1220
lambda_H = 1630
lambda_K = 2190
lambda_L = 3450
lambda_M = 4750

F_U = 1790
F_B = 4063
F_V = 3636
F_R = 3064
F_I = 2416
F_J = 1589
F_H = 1020
F_K = 640
F_L = 285
F_M = 154

print "F_U = ", F(F_U, lambda_U), " erg s^-1 cm^-2 cm^-1"
print "F_B = ", F(F_B, lambda_B), " erg s^-1 cm^-2 cm^-1"
print "F_V = ", F(F_V, lambda_V), " erg s^-1 cm^-2 cm^-1"
print "F_R = ", F(F_R, lambda_R), " erg s^-1 cm^-2 cm^-1"
print "F_I = ", F(F_I, lambda_I), " erg s^-1 cm^-2 cm^-1"
print "F_J = ", F(F_J, lambda_J), " erg s^-1 cm^-2 cm^-1"
print "F_H = ", F(F_H, lambda_H), " erg s^-1 cm^-2 cm^-1"
print "F_K = ", F(F_K, lambda_K), " erg s^-1 cm^-2 cm^-1"
print "F_L = ", F(F_L, lambda_L), " erg s^-1 cm^-2 cm^-1"
print "F_M = ", F(F_M, lambda_M), " erg s^-1 cm^-2 cm^-1"

