#!/usr/bin/gnuplot

set xl "JD - 2400000"
set yl "magnitude [mag]"

T3=2456231.868584
tmp=0.45/2
set xr [T3-2400000-tmp:T3-2400000+tmp]
set yr [0.98:1.12] reverse

load "T0.plt"
set arrow from T0-2400000,graph 0 to T0-2400000,graph 1 nohead lt 0
set arrow from T3-2400000,graph 0 to T3-2400000,graph 1 nohead lt 0

p "lightcurve.dat" u ($1-2400000):2 t "synthetic lightcurve" w lp pt 1 lt 7,\
  "Lc.dat" u ($1-2400000):2:3 t "observed lightcurve" w err lt 3 pt 1 ps 0.5,\
  "Lc.dat" u ($1-2400000):2:3 not w l lt 3,\
  "chi2_LC.dat" u ($1-2400000):2:3 t "residua" w l lt 1 lw 3
pa -1

set term png small
set out "chi2_LC_3.png"
rep

q


